System Requirements

The following is a list of the supported frameworks.

Microsoft .Net Framework

Originally developed for the .Net Framework 1.1 support for this version was dropped in 2010. Currently supported in .Net Framework 2.0, 3.0 and 3.5. I'm assuming it also works in .Net Framework 4.0 but this has not been tested yet.

Microsoft .Net Compact Framework

A minimum version of 2.0 SP 1 is required as SP 1 added support for the SerializableAttribute class which is required by the Flickr.Net API.

Mono & Monotouch

I don't develop with Mono, nor do I have access to a Mac, iPhone or the Monotouch SDK, so support for these frameworks is sketchy. They should work fine however. You will need to work with the latest source code however. If you spot any issues then feel free to submit patches where required.

Silverlight & Windows Phone 7

Silverlight support has recently been added and now support Silverlight 3.0 and above. The Silverlight DLL should also work in Windows 7 Phone applications so I look forward to seeing some Phone apps using the library in the near future.

Note, that the Windows 7 Phone SDK is still in Beta, but I plan to continue supporting this in the future.

Last edited Aug 5, 2010 at 2:13 PM by samjudson, version 5

Comments

No comments yet.